Subject: Corrections on "Amazing" by Aerosmith
From: Denis Jacob <[email-masked]>
To: [email-masked]
Date: Thu, 13 Jan 1994 19:03:23 +0400 (AST)

More corrections! (second time for this song) First time, I had forgotten to
include a verse and I changed "F/G#" to "Fm/G#", this time I changed the Am
in the chorus to a F chord

Amazing (Steven Tyler/Richie Supa)

Intro: Am - G - Am - G

           Am                         G
I kept the right ones out and let the wrong ones in
       C                                       F
Had an angel of mercy to see me through all my sins
           Fm/G#                       C/G
There were times in my life when I was goin' insane
               D/F#        F
Tryin' to walk through the pain
       Am                 G
When I lost my grip and I hit the floor
        C                                              F
Yeah, I thought I could leave but couldn't get out the door
      Fm/G#                C/G
I was so sick and tired of livin' a lie
      D/F#                 F
I was wishin' that I would die

Chorus:
       C Em            F                   Em              G
It's amazing, with the blink of an eye you finally see the light
       C Em           F                       Em               G
It's amazing when the moment arrives that you know you'll be alright
       F Em          D                       G                  C
It's amazing and I'm sayin' a prayer for the desperate hearts tonight

     Am                D
That one last shot's a permanent vacation
    F                         C
And how high can you fly with broken wings?
         Am                  D
Life's a journey not a destination
      F                            G
And I just can't tell just what tomorrow brings

            Am                        G
You have to learn to crawl before you learn to walk
      C                                          F
But I just couldn't listen to all that righteous talk
      Fm/G#                    C/G
I was out on the street, just tryin' to survive
D/F#                 F
Scratchin' to stay alive

Chorus:
       C Em            F                   Em              G
It's amazing, with the blink of an eye you finally see the light
       C Em           F                       Em               G
It's amazing when the moment arrives that you know you'll be alright
       Am Em         D                       G                  C
It's amazing and I'm sayin' a prayer for the desperate hearts tonight

C D
    Desperate hearts, desperate hearts
D Em
    Did you wanna see without and give it out now (or whatever...)
Em F
    Ow, oh yeah yeah, oh yeah yeah, ya ka kow, ya ka ka ka kow

Outro...
C - D - Em - F
G - Am - G - F
C - D - Em - F
G - Am - G - F
etc...